#include <bits/stdc++.h>

using namespace std;
struct zliljudi
{
    long long int a;
    double b;
};
bool compare(const zliljudi &k1,const zliljudi &k2)
{
    return k1.b>k2.b;
}
int main()
{
    std::ios::sync_with_stdio(false);
    int n;
    cin>>n;
    vector <zliljudi> arr;
    for(int i=0;i<n;i++)
    {
        long long int x; float y;
        cin>>x>>y;
        arr.push_back(zliljudi());
        arr[i].a=x;
        arr[i].b=y;
    }
    sort(arr.begin(),arr.end(),compare);
    long long int sum=0;
    double drzava=0;
    for(int i=0;i<n;i++)
    {
        sum+=arr[i].a;
        double k=(double)sum*arr[i].b/(double)100;
        if(k>drzava)
        {
            drzava =k;
        }
    }
    cout<<setprecision(4)<<fixed<<drzava;
    return 0;
}